Orders

Basket Order Margin

POST
/api/oms/basket-margin

Basket order margin

Header Parameters

Authorization*string

Access token in the following format:

Bearer <api_key>:<access_token>

Both values are required. The api_key is your app credential from the Apps Section. The access_token is obtained from the authentication endpoint and is valid for 24 hours.

Request Body

application/json

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/oms/basket-margin" \  -H "Authorization: Bearer <api Key>:<access token>" \  -H "Content-Type: application/json" \  -d '{}'
{
  "s": "ok",
  "d": {
    "requiredMargin": 37500,
    "finalMargin": 32000,
    "availableMargin": 45230.75,
    "combinedRequiredMargin": 67269.25
  }
}
{
  "s": "error",
  "msg": "Unauthorized"
}
{
  "s": "error",
  "msg": "Too many requests"
}
{
  "s": "error",
  "msg": "Internal server error"
}